Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.data.datatype
Class MultiAlignment

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.Vector
                  jprotein.data.datatype.MultiAlignment

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class MultiAlignment

extends java.util.Vector

See Also:
  Serialized Form

Constructor Summary
`MultiAlignment()`
`MultiAlignment(java.util.Vector sequenceList)`

Method Summary
`void` | `addAlignment(Sequence ali)`
`Sequence` | `getAlignment(int index)`
`java.util.Vector` | `getAlignmentComposition(Sequence ref)`
`static java.util.Vector` | `getCompositionFrequencies(java.util.Vector ac)`
`static java.util.Vector` | `getInformationContent(java.util.Vector acf)`
`static java.util.Vector` | `sumAlignmentComposition(java.util.Vector ac1, java.util.Vector ac2)`
`java.lang.String` | `toString()`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### MultiAlignment

    public MultiAlignment()

### MultiAlignment

    public MultiAlignment(java.util.Vector sequenceList)

Method Detail

### getAlignment

    public Sequence getAlignment(int index)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.Vector`

### addAlignment

    public void addAlignment(Sequence ali)

### getAlignmentComposition

    public java.util.Vector getAlignmentComposition(Sequence ref)

### sumAlignmentComposition

    public static java.util.Vector sumAlignmentComposition(java.util.Vector ac1,
                                                           java.util.Vector ac2)

### getCompositionFrequencies

    public static java.util.Vector getCompositionFrequencies(java.util.Vector ac)

### getInformationContent

    public static java.util.Vector getInformationContent(java.util.Vector acf)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD